Subject: bug#65143: dired-aux-tests and kmacro-tests failures on master

From: Mattias Engdegård <[email-masked]>
Date: Tue, 8 Aug 2023 12:32:51 +0200

8 aug. 2023 kl. 11.42 skrev Po Lu <[email-masked]>:

> Does this change fix the Dired test?

That should do it, thank you. I pushed a slightly worse-but-better variant to avoid the large `prog1`, but it's essentially the same.

> I suspect the test itself is wrong; the doc string of
> dired-do-create-files mentions nothing about its return value, which the
> test asserts against

I agree, the return value should be documented or the test use a more well-defined interface. Feel free to improve it in any way you wish, but I'm leaving it as-is now.

That leaves us with the kmacro-tests failures. Android merge fall-out?